NX Open C++ Reference Guide
NXOpen::Features::ShipDesign::AnchorPointList Member List

This is the complete list of members for NXOpen::Features::ShipDesign::AnchorPointList, including all inherited members.

AnchorPointList() (defined in NXOpen::Features::ShipDesign::AnchorPointList)NXOpen::Features::ShipDesign::AnchorPointListprotected
Append(const std::vector< NXOpen::Features::ShipDesign::AnchorPoint * > &objects)NXOpen::Features::ShipDesign::AnchorPointList
Append(NXOpen::Features::ShipDesign::AnchorPoint *object)NXOpen::Features::ShipDesign::AnchorPointList
Clear()NXOpen::Features::ShipDesign::AnchorPointList
Clear(NXOpen::ObjectList::DeleteOption deleteOption)NXOpen::Features::ShipDesign::AnchorPointList
ClearIndex(int deleteIdx)NXOpen::Features::ShipDesign::AnchorPointList
Erase(int index)NXOpen::Features::ShipDesign::AnchorPointList
Erase(int index, NXOpen::ObjectList::DeleteOption deleteOption)NXOpen::Features::ShipDesign::AnchorPointList
Erase(NXOpen::Features::ShipDesign::AnchorPoint *obj)NXOpen::Features::ShipDesign::AnchorPointList
Erase(NXOpen::Features::ShipDesign::AnchorPoint *obj, NXOpen::ObjectList::DeleteOption deleteOption)NXOpen::Features::ShipDesign::AnchorPointList
FindIndex(NXOpen::Features::ShipDesign::AnchorPoint *obj)NXOpen::Features::ShipDesign::AnchorPointList
FindItem(int index)NXOpen::Features::ShipDesign::AnchorPointList
GetContents()NXOpen::Features::ShipDesign::AnchorPointList
Insert(int location, NXOpen::Features::ShipDesign::AnchorPoint *object)NXOpen::Features::ShipDesign::AnchorPointList
Length()NXOpen::Features::ShipDesign::AnchorPointList
MoveToBottom(int index)NXOpen::Features::ShipDesign::AnchorPointList
MoveToTop(int index)NXOpen::Features::ShipDesign::AnchorPointList
SetContents(const std::vector< NXOpen::Features::ShipDesign::AnchorPoint * > &objects)NXOpen::Features::ShipDesign::AnchorPointList
Swap(int index1, int index2)NXOpen::Features::ShipDesign::AnchorPointList
Swap(NXOpen::Features::ShipDesign::AnchorPoint *object1, NXOpen::Features::ShipDesign::AnchorPoint *object2)NXOpen::Features::ShipDesign::AnchorPointList
Tag() const NXOpen::TaggedObject
TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObject
~AnchorPointList() (defined in NXOpen::Features::ShipDesign::AnchorPointList)NXOpen::Features::ShipDesign::AnchorPointList
~TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObjectvirtual
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.